<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package nextpage
 */

get_header();
$nextpageFunc         = Nextpage_Function( 'Functions' );
$nextpage_blog_layout = Nextpage_Function( 'Functions' )->page_layout();

?>
    <div id="primary" class="content-area">
        <main id="main" class="site-main">
            <div class="blog-page-area pd-bottom-80 nextpage-common-space">
                <div class="container">
                    <div class="row">
                        <div class="pd-top-50 <?php echo esc_attr( $nextpage_blog_layout['content_column_class'] ); ?>">
							<?php
							if ( have_posts() ) :

								/* Start the Loop */
								while ( have_posts() ) :
									the_post();

									/*
									 * Include the Post-Type-specific template for the content.
									 * If you want to override this in a child theme, then include a file
									 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
									 */
									get_template_part( 'template-parts/content', get_post_format() );

								endwhile;

								$nextpageFunc->post_pagination();

							else :

								get_template_part( 'template-parts/content', 'none' );

							endif;
							?>
                        </div>
						<?php if ( 'full-width' != $nextpage_blog_layout['nextpage_sidebar_activity'] ) : ?>
                            <div class="col-lg-3 pd-top-50 <?php echo esc_attr( $nextpage_blog_layout['sidebar_column_class'] ); ?>">
								<?php get_sidebar(); ?>
                            </div>
						<?php endif; ?>
                    </div>
                </div>
            </div>
        </main><!-- #main -->
    </div><!-- #primary -->

<?php

get_footer();