<?php

/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package nextpage
 */

get_header();
$nextpage_single_page_layout = Nextpage_Function('Functions')->page_layout(); //check which layout selected from theme option
?>

<div id="primary" class="content-area">
    <main id="main" class="site-main">
        <div class="blog-page-area pd-bottom-80 nextpage-blog-details">
            <div class="container">
                <div class="row">
                    <div class="pd-top-50 <?php echo esc_attr($nextpage_single_page_layout['content_column_class']); ?>">
                        <div class="blog-details-page-inner">
                            <?php
                            while (have_posts()) :
                                the_post();

                                get_template_part('template-parts/content', 'single');

                                // If comments are open or we have at least one comment, load up the comment template.
                                if (comments_open() || get_comments_number()) :
                                    comments_template();
                                endif;

                            endwhile; // End of the loop.
                            ?>
                        </div>
                    </div>
                    <?php if ('full-width' != $nextpage_single_page_layout['nextpage_sidebar_activity']) : ?>
                        <div class="col-lg-3 pd-top-50 <?php echo esc_attr($nextpage_single_page_layout['sidebar_column_class']); ?>">
                            <?php get_sidebar(); ?>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </main><!-- #main -->
</div><!-- #primary -->

<?php get_footer();
