<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package nextpage
 */
$nextpageTag = Nextpage_Function( 'Tags' ); //template tag class  init

$nextpageFunc = Nextpage_Function( 'Functions' ); //template function class init
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="single-blog-inner">

		<?php $nextpageTag->post_thumbnail(); //featured image ?>

        <div class="single-blog-details">
            <div class="meta">
				<?php
				/*
				 * nextpage blog meta
				 *
				 * @hooked author_meta
				 *
				 * @hooked posted_on
				 * */

				do_action( 'nextpage_blog_page_meta' );

				?>

            </div>
            <h3>
                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
				<?php
				if ( is_sticky() && is_home() ) :
					echo '<i class="fa fa-thumb-tack"></i>';
				endif;
				?>
            </h3>

			<?php nextpage_excerpt( '55' ); //post excerpt?>

            <a class="btn btn-base"
               href="<?php the_permalink(); ?>"><?php echo esc_html__( 'Learn More', 'nextpage' ) ?></a>

            <div class="link-page"><?php $nextpageFunc->link_pages(); ?></div>

        </div>
    </div>
</article>